LibreOffice: XPasswordContainer Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPasswordContainer Interface Referencepublished

Allows to save passwords with URL-pattern, to use them later. More...

`import <XPasswordContainer.idl;`

Inheritance diagram for XPasswordContainer:

## Public Member Functions
void | add ([in] string Url, [in] string UserName, [in] sequence< string > Passwords, [in] XInteractionHandler Handler)
| Save passwords into the container.
void | addPersistent ([in] string Url, [in] string UserName, [in] sequence< string > Passwords, [in] XInteractionHandler Handler)
| Save passwords into the container, and store them in the file.
UrlRecord | find ([in] string Url, [in] XInteractionHandler Handler)
| Find users with passwords for the url pattern.
UrlRecord | findForName ([in] string Url, [in] string UserName, [in] XInteractionHandler Handler)
| Find passwords for the url pattern and username.
void | remove ([in] string Url, [in] string UserName)
| Remove passwords for the url pattern and username.
void | removePersistent ([in] string Url, [in] string UserName)
| Remove passwords for the url pattern and username from the file.
void | removeAllPersistent ()
| Clean the file.
sequence< UrlRecord > | getAllPersistent ([in] XInteractionHandler Handler)
| Get all records from the file.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Allows to save passwords with URL-pattern, to use them later.

## Member Function Documentation

## ◆ add()

void add | ( | [in] string | Url,
|  | [in] string | UserName,
|  | [in] sequence< string > | Passwords,
|  | [in] XInteractionHandler | Handler
| ) |  |

Save passwords into the container.

Parameters

  Url | URL-pattern, that will be used later to retrieve passwords.
  UserName | The username.
  Passwords | The password-list.
  Handler | The handler to get super password to en/decrypt passwords

## ◆ addPersistent()

void addPersistent | ( | [in] string | Url,
|  | [in] string | UserName,
|  | [in] sequence< string > | Passwords,
|  | [in] XInteractionHandler | Handler
| ) |  |

Save passwords into the container, and store them in the file.

Parameters

  Url | URL-pattern, that will be used later to retrieve passwords.
  UserName | The username.
  Passwords | The password-list.
  Handler | The handler to get super password to en/decrypt passwords

## ◆ find()

UrlRecord find | ( | [in] string | Url,
|  | [in] XInteractionHandler | Handler
| ) |  |

Find users with passwords for the url pattern.

Parameters

  Url | URL-pattern to retrieve password for.
  Handler | The handler to get super password to en/decrypt passwords

Returns
  Best matched url-pattern with user-records list.

## ◆ findForName()

UrlRecord findForName | ( | [in] string | Url,
|  | [in] string | UserName,
|  | [in] XInteractionHandler | Handler
| ) |  |

Find passwords for the url pattern and username.

Parameters

  Url | URL-pattern to retrieve passwords for.
  UserName | Username to retrieve passwords for.
  Handler | The handler to get super password to en/decrypt passwords

Returns
  Best matched url-pattern for the username.

## ◆ getAllPersistent()

sequence< UrlRecord > getAllPersistent | ( | [in] XInteractionHandler | Handler | ) |

Get all records from the file.

Returns
  List of url-records.

## ◆ remove()

void remove | ( | [in] string | Url,
|  | [in] string | UserName
| ) |  |

Remove passwords for the url pattern and username.

Parameters

  Url | URL-pattern to remove passwords for.
  UserName | Username to remove passwords for.

## ◆ removeAllPersistent()

void removeAllPersistent | ( |  | ) |

Clean the file.

## ◆ removePersistent()

void removePersistent | ( | [in] string | Url,
|  | [in] string | UserName
| ) |  |

Remove passwords for the url pattern and username from the file.

Parameters

  Url | URL-pattern to remove passwords for.
  UserName | Username to remove passwords for.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XPasswordContainer.idl